Subject: Re: bug#42140: 26.3; sigsegv when using nss-docker

From: Hans van den Bogert <[email-masked]>
Date: Tue, 7 Jul 2020 10:49:03 +0200

On 7/6/20 6:31 PM, Eli Zaretskii wrote:
> Thanks for telling us.  Could this be a bug with your kernel or the
> standard C library?

The kernel seems unlikely, the only difference I can see is that 
nss_docker's _nss_docker_gethostbynameX_r seem 'off' on assembly level 
compared to for example, the equivalent functions of `nss_mdns_minimal` 
and libc's `nss_dns`.

The offsets when referencing stack locations on function entry are large 
(0xNNNNN), compared  to the straightforward function entry assembly I 
see in nss_mdns and nss_dns, with 'normal' offsets of 0xNNN. I've 
compared compiler flags and all, but I can't explain it. The weird 
things remains of course, why does the shared library work fine when 
it's called through the non async variant, `gethostbyname`.

But I think the discussion is out of scope for this list/tracker, though 
any pointers are welcome of course.

Regards,